Package de.willuhn.jameica.hbci.gui.controller

# Class NachrichtControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.NachrichtControl

public class NachrichtControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer die System-Nachrichten.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`NachrichtControl(de.willuhn.jameica.gui.AbstractView view)`

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.Part`
`getListe()`
Liefert eine Liste aller vorhandenen Nachrichten
`Nachricht`
`getNachricht()`
Liefert die aktuelle Nachricht.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NachrichtControl

public NachrichtControl(de.willuhn.jameica.gui.AbstractView view)

Parameters:
  `view` -

## Method Details

### getNachricht

public Nachricht getNachricht() throws RemoteException
Liefert die aktuelle Nachricht.

Returns:
  die aktuelle Nachricht.
Throws:
  `RemoteException`

### getListe

public de.willuhn.jameica.gui.Part getListe() throws RemoteException
Liefert eine Liste aller vorhandenen Nachrichten

Returns:
  liefert eine Liste der vorhandenen Nachrichten.
Throws:
  `RemoteException`